﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using System.IO;

namespace howto_file_directory_exists
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            txtDirectory.Text = Application.StartupPath;
            txtDirectory.Select(txtDirectory.Text.Length, 0);

            txtFile.Text = Application.ExecutablePath;
            txtFile.Select(txtFile.Text.Length, 0);
        }

        private void btnDirectoryExists_Click(object sender, EventArgs e)
        {
            if (Directory.Exists(txtDirectory.Text))
                txtDirectoryResult.Text = "Yes";
            else txtDirectoryResult.Text = "No";
        }

        private void btnFileExists_Click(object sender, EventArgs e)
        {
            if (File.Exists(txtFile.Text))
                txtFileResult.Text = "Yes";
            else txtFileResult.Text = "No";
        }
    }
}
